%define oname		libgee

%define lib_major	2
%define api		1.0
%define libname		%mklibname gee %{lib_major}
%define gi_name		%mklibname gee-gir %{api}
%define libnamedev	%mklibname -d gee 0.6

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{oname}0.6
Summary:	GObject-based collection library
Version:	0.6.4
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
URL: 		http://live.gnome.org/Libgee
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.12.0
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:	vala

%description
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes 
Group:		System/Libraries

%description -n	%{libname}
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{gi_name}
GObject Introspection interface library for %{name}.

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgee
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gee-devel < 0.7.1

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with libgee.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_libdir}/libgee.so.%{lib_major}*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gee-%{api}.typelib

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%{_libdir}/libgee.so
%{_libdir}/pkgconfig/gee-%{api}.pc
%{_includedir}/gee-%{api}
%{_datadir}/vala/vapi/gee-%{api}.vapi
%{_datadir}/gir-1.0/Gee-%{api}.gir


%changelog

* Sun Jan 22 2012 wally <wally> 0.6.4-1.mga2
+ Revision: 199714
- new version 0.6.4

* Fri Jan 13 2012 wally <wally> 0.6.3-3.mga2
+ Revision: 195709
- rename devel pkg too

* Fri Jan 13 2012 wally <wally> 0.6.3-2.mga2
+ Revision: 195700
- rename source pkg to libgee0.6
- clean .spec a bit

* Wed Nov 09 2011 wally <wally> 0.6.3-1.mga2
+ Revision: 165973
- new version 0.6.3

* Wed Sep 14 2011 fwang <fwang> 0.6.2.1-1.mga2
+ Revision: 143426
- new version 0.6.2.1

* Wed Sep 14 2011 fwang <fwang> 0.6.2-1.mga2
+ Revision: 143383
- new version 0.6.2

* Sat Jul 09 2011 cjw <cjw> 0.6.1-2.mga2
+ Revision: 121238
- put gobject introspection typelib in a separate subpackage
- rebuild for automatic typelib provides and deps

* Sat Apr 16 2011 pterjan <pterjan> 0.6.1-1.mga1
+ Revision: 86674
- Update to 0.6.1
- Drop ldconfig scriptlets

* Sun Jan 23 2011 pterjan <pterjan> 0.6.0-1.mga1
+ Revision: 35530
- imported package libgee

